Subject: bug#60585: 30.0.50; global-text-scale-adjust shrinks window (was not before), was: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Dmitry Gutov <[email-masked]>
Date: Fri, 27 Jan 2023 05:07:27 +0200

On 26/01/2023 17:44, martin rudalics wrote:
> I attach a patch where I try to mimic in *foo*, after a text "WM hint",
> what a WM would typically show there.  Please switch to *foo* right away
> and, while you drag a border, check whether the numbers are the same
> GNOME displays.

They always do, as far as I checked. Multiple times, with different fonts.

> If so, please show me again the transcript of the
> above.

Please see attached.

> (118 vs 112 looks slightly preposterous BTW - it would mean that
> scroll bar and fringes are six characters wide.  Here both width and
> height differ by 1 only.)

They're definitely not that. I would roughly estimate that the scroll 
bar plus the right fringe are about 2-3 characters wide. And the left 
fringe is about 1/2 a character.